﻿using System;
using System.Collections.Generic;

// Code scaffolded by EF Core assumes nullable reference types (NRTs) are not used or disabled.
// If you have enabled NRTs for your project, then un-comment the following line:
// #nullable disable

namespace Coscine.Database.DataModel
{
    public partial class Discipline
    {
        public Discipline()
        {
            ProjectDisciplines = new HashSet<ProjectDiscipline>();
            ResourceDisciplines = new HashSet<ResourceDiscipline>();
            UserDisciplines = new HashSet<UserDiscipline>();
        }

        public Guid Id { get; set; }
        public string Url { get; set; }
        public string DisplayNameDe { get; set; }
        public string DisplayNameEn { get; set; }

        public virtual ICollection<ProjectDiscipline> ProjectDisciplines { get; set; }
        public virtual ICollection<ResourceDiscipline> ResourceDisciplines { get; set; }
        public virtual ICollection<UserDiscipline> UserDisciplines { get; set; }
    }
}
