﻿using System;
using System.Collections.Generic;

// Code scaffolded by EF Core assumes nullable reference types (NRTs) are not used or disabled.
// If you have enabled NRTs for your project, then un-comment the following line:
// #nullable disable

namespace Coscine.Database.DataModel
{
    public partial class ResourceType
    {
        public ResourceType()
        {
            ProjectQuotas = new HashSet<ProjectQuota>();
            Resources = new HashSet<Resource>();
        }

        public Guid Id { get; set; }
        public string DisplayName { get; set; }
        public bool? Enabled { get; set; }

        public virtual ICollection<ProjectQuota> ProjectQuotas { get; set; }
        public virtual ICollection<Resource> Resources { get; set; }
    }
}
